# VE Java Edit Sdk

## 使用示例

**参考 src/test/ 中的 SXEditManagerTest 的使用步骤**

## 相关文档
+ 剪辑基本信息介绍

    http://vesdk.com/docs/editor/page_242.html
    
+ 剪辑 sdk 相关类介绍
    与安卓 sdk 类似， 参考： http://vesdk.com/docs/editor/page_233.html    

+ 类接口请参考 docs

## 运行环境
+ 操作系统： ubuntu 16.04 64 位
+ 显卡 
       nvidia  gtx1050 或以上
       驱动    418 or newer  https://www.geforce.cn/drivers
       cuda    10.1    https://developer.nvidia.com/cuda-toolkit-archive
       
+ opengl : 3.0 or newer 
+ Java： jdk 1.8 
+ ffmpeg : 4.1 or newer  
+ libfreeimage: 3 or newer

## 项目结构
+ workspace 提供了可供测试的素材和模板
+ src
   |-- main sdk 接口
   |-- test 使用示例
+ docs sdk 生成的 java doc    
+ lib
  |-- lib*.so  依赖库
  |-- install_lib.sh 依赖库安装脚本
  |-- uninstall_lib.sh 依赖库卸载脚本


## 环境配置
+ 安装驱动

        wget https://download.nvidia.com/XFree86/Linux-x86_64/418.56/NVIDIA-Linux-x86_64-418.56.run
        
        chmod +x NVIDIA-Linux-x86_64-418.56.run
        
        # 如果有 X server 运行
        ./NVIDIA-Linux-x86_64-418.56.run
        
        reboot

+ 安装　ffmpeg

        apt-get -y install software-properties-common
    
        add-apt-repository -y ppa:jonathonf/ffmpeg-4
        apt-get update
        apt-get -y install ffmpeg

+ 安装 libfreeimage  (1.4.4.release 及以上需要安装 )
    
        apt-get install libfreeimage3
          
+ 进入　lib 执行　install_lib.sh 安装第三方依赖库
        
