package com.shixing.sxedit.types;


/**
 * 效果类型
 */
public enum SXEffectType {
    /**
     * 转场
     * */
    Transition,
    /**
     * 文字气泡
     * */
    TextBubble,
    /**
     * 文字样式
     * */
    TextStyle,
    /**
     * 文字动画
     * */
    TextAnimation,
    /**
     * 滤镜
     * */
    Filter,
    /**
     * 视频动画
     * */
    Animation,
    /**
     * 视频特效
     * */
    VideoEffect,
    /**
     * 轨道动画
     * */
    TrackAnimation,
    /**
     * 内置特效
     * */
    GenericEffect
}

